################################################

load(file = "probe2symbol_df.Rdata")
load(file = "exprSet.Rdata")

library(dplyr)

exprSet1 <- exprSet %>%
  inner_join(probe2symbol_df,by="probe_id")




rm(list = ls())
load(file = "TCGA_exprSet_plot.Rdata")
library(dplyr)
exprSet1 <- exprSet %>% 
  filter(sample=="Tumor")

exprSet2 <- exprSet %>% 
  filter(sample=="Tumor",subgroup=="LumA")





library(tidyr)

rm(list = ls())
load(file = "TCGA_exprSet_plot.Rdata")


load(file = "expr_df.Rdata")
library(tidyr)
library(dplyr)
expr_df1 <- expr_df %>% 
  tidyr::separate(gene_id,into = c("gene_id","drop"),sep="\\.")

expr_df2 <- expr_df %>% 
  tidyr::separate(gene_id,into = c("gene_id","drop"),sep="\\.") %>% 
  dplyr::select(-drop)

expr_df3 <- expr_df %>% 
  tidyr::separate(gene_id,into = c("gene_id"),sep="\\.") 


load(file = "test.Rdata")
exprSet <- test %>% 
  tidyr::unite(gene_id,gene_name,gene_id,gene_biotype,sep = " | ") 

rm(list = ls())
load("gathe_data.Rdata")

library(ggplot2)

library(ggplot2)
ggplot(exprSet,aes(x=sample,y=ESR1,fill=sample))+
  geom_boxplot()

library(tidyr)
test <- exprSet %>% 
  gather(gene,expression,3:6)


ggplot(test,aes(x=gene,y=expression,fill=sample))+
  geom_boxplot()


ggplot(test,aes(x=sample,y=expression,fill=sample))+
  geom_boxplot()+
  facet_grid(.~gene)


